[list-view] After copying text from a rename entry, file copy menus items are broken

Bug #882307 reported by Joao Leonor on 2011-10-26
164
This bug affects 35 people
Affects Status Importance Assigned to Milestone
AppMenu GTK+
Incomplete
High
Unassigned
Nautilus
Expired
Medium
nautilus (Ubuntu)
High
Canonical Desktop Experience Team
Precise
High
Canonical Desktop Experience Team

Bug Description

When renaming a file in nautilus, in list view, if you copy the highlighted part of the name, after this you're unable to copy/paste files
This only occurs in list view

Steps to reproduce:
- Open Nautilus
- Chose List View
- Right click a file and chose Rename. Nautilus will highlight the file name.
- Now Right click again on the highlighted part of the name and chose Copy.
- Press Esc
- Now try copying a file, you will be able to chose the option "Copy", but when you try to Paste, nothing happens.

DistroRelease: Ubuntu 11.10
Package: nautilus 1:3.2.1-0ubuntu1

Phil. V (philip.v) on 2011-10-27
summary: - After remaning a file, nautilus can't copy files
+ After renaming a file, nautilus can't copy files

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nautilus (Ubuntu):
status: New → Confirmed
Phil. V (philip.v) wrote :

I was able to reproduce this on my machine. A workaround is to reboot the system, that restored my copy/paste functionality in both list and icon display modes.

Thank you for your bug report, I can confirm that on Oneiric

Changed in nautilus (Ubuntu):
importance: Undecided → Low
summary: - After renaming a file, nautilus can't copy files
+ [list-view] After copying text from a rename, file copy entries are
+ broken
summary: - [list-view] After copying text from a rename, file copy entries are
- broken
+ [list-view] After copying text from a rename entre, file copy entries
+ are broken
summary: - [list-view] After copying text from a rename entre, file copy entries
+ [list-view] After copying text from a rename entry, file copy entries
are broken
summary: - [list-view] After copying text from a rename entry, file copy entries
- are broken
+ [list-view] After copying text from a rename entry, file copy menus
+ items are broken
Pedro Villavicencio (pedro) wrote :

Thank you for your bug report. This bug has been reported to the developers of the software. You can track it and make comments at:
 https://bugzilla.gnome.org/show_bug.cgi?id=664479

Changed in nautilus (Ubuntu Precise):
status: Confirmed → Triaged
Changed in nautilus:
importance: Undecided → Unknown
status: New → Unknown
Changed in nautilus:
importance: Unknown → Medium
status: Unknown → Incomplete

@Pedro, Joao
Should the upstream bug be closed (invalidated?) since this seems to happen only in Ubuntu? Just to prevent Ubuntu developers from waiting for upstream while upstream sees nothing to do. Also, maybe the importance should be higher (medium?) for a bug in something as basic as file management?

I could only reproduce this bug with Ubuntu (e.g. current Precise live system or my installed 11.10). Neither Mint 12 nor Fedora 16 show this bug.

@ Joao
Thanks for filing this bug. I was totally mystified why I could not paste till I read the specifics in your report.

Joao Leonor (joao-leonor) wrote :

@Wolfgang

You're welcome, glad I could help. Phil V. mentioned the workaround was rebooting the system, actually you only need to close the nautilus window affected by the bug and open a new one and you're good to go.

About closing the upstream bug, since I'm new here (this is my first bug report) I'll leave that decision to Pedro, but I think you're right, it seems to be a Ubuntu specific bug.

By the way I found something else in renaming files in list view, I don't know if I should mention it in this thread, but maybe it's related.
When renaming a file if you left click with the mouse outside the file being renamed, the changes you made in the file name aren't saved. This behavior isn't the same as in the other views or even in list view in Ubuntu 11.04. Sorry if I shouldn't mention this here, if you guys think I should file a different bug report for this, please tell me and I'll do it.

Sebastien Bacher (seb128) wrote :

Seems to not happen without the exported menus (i.e unset UBUNTU_MENUPROXY), so maybe something wrong there, ted, unity guys could you look into it?

Changed in indicator-appmenu:
assignee: nobody → Ted Gould (ted)
importance: Undecided → High
Changed in nautilus (Ubuntu Precise):
assignee: nobody → Canonical Desktop Experience Team (canonical-dx-team)
Changed in nautilus:
status: Incomplete → Unknown
Changed in nautilus:
status: Unknown → New
Ted Gould (ted) on 2012-02-09
affects: indicator-appmenu → appmenu-gtk
Sam_ (and-sam) wrote :
Download full text (3.8 KiB)

When reproducing in Precise .xsession-errors says:
Gtk-CRITICAL **: gtk_widget_get_clipboard: assertion `gtk_widget_has_screen (widget)' failed

Gtk-CRITICAL **: gtk_clipboard_request_text: assertion `clipboard != NULL' failed

Gtk-WARNING **: Inserting action group 'ClipboardActions' into UI manager which already has a group with this name

Gtk-CRITICAL **: gtk_widget_get_clipboard: assertion `gtk_widget_has_screen (widget)' failed

Gtk-CRITICAL **: gtk_clipboard_request_text: assertion `clipboard != NULL' failed

Gtk-CRITICAL **: gtk_widget_get_clipboard: assertion `gtk_widget_has_screen (widget)' failed

Gtk-CRITICAL **: gtk_clipboard_request_text: assertion `clipboard != NULL' failed
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Generating properties error for: 2153
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Error getting properties on a new menuitem: Error getting properties for ID
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Generating properties error for: 2154
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Error getting properties on a new menuitem: Error getting properties for ID
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Generating properties error for: 2155
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Error getting properties on a new menuitem: Error getting properties for ID
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Generating properties error for: 2156
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Error getting properties on a new menuitem: Error getting properties for ID
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Generating properties error for: 2157
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Error getting properties on a new menuitem: Error getting properties for ID
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Generating properties error for: 2158
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Error getting properties on a new menuitem: Error getting properties for ID
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Generating properties error for: 2159
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Error getting properties on a new menuitem: Error getting properties for ID
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Generating properties error for: 2160
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Error getting properties on a new menuitem: Error getting properties for ID
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Generating properties error for: 2161
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Error getting properties on a new menuitem: Error getting properties for ID
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Generating properties error for: 2162
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Error getting properties on a new menuitem: Error getting properties for ID
WARN 2012-02-20 23:27:30 unity.libdbusmenu-glib <unknown>:0 Generating properties error for: 2163
WARN 2012-02-20 23:27:30 unity.libdbusmenu-...

Read more...

whoop (whoopwhoop) wrote :

I'm having this in precise as well. Why is it's importance low? I can imagine a lot of people not knowing other shortcuts to bypass this bug.

Sebastien Bacher (seb128) wrote :

@whoop: it's happening only in a non default view mode, you can still use dnd, ctrl-C and it's not a data lost bug, mostly an annoyance, we can raise a bit the importance still sure but it's not an end of the world issue

Changed in nautilus (Ubuntu Precise):
importance: Low → High
Ted Gould (ted) on 2012-03-08
Changed in appmenu-gtk:
status: New → Triaged
tags: added: rls-mgr-p-tracking
Joao Leonor (joao-leonor) wrote :

I've just upgraded to Ubuntu Precise and the bug is gone.
Thank you guys!

Cheers!

Fiorenzo De Santis (fiod3s) wrote :

Yes, I can confirm Ubuntu Precise isn't affected!

Tom Huber (thhuber) wrote :

This bug still persists in Ubuntu 12.04, it is very annoying; only remedy so far is closing and reopening nautilus. After some time (or open tabs?) the greyed out fields return.

I'm on Precise and the bug is still here.

2012/5/3 Tom Huber <email address hidden>

> open tabs?) the greyed out fields return.

--
Pablo Almeida
http://www.google.com/profiles/pabloalmeidaff9

Fiorenzo De Santis (fiod3s) wrote :

The situation of Ubuntu Precise is a bit more complicated, I think. After some time the paste menu item can be grayed out, but it works anyway. This happens to the rename menu item as well!

Charles Kerr (charlesk) wrote :

I'm not able to reproduce this issue in 12.04 using the steps described by Joao Leonor in the original description.

Could someone still experiencing this attach a short video showing the behavior?

Joao Leonor (joao-leonor) wrote :

I've tried on 3 different computers with Precise installed and I'm unable to reproduce the bug as it was on Oneiric.

@Tom, Pablo and Fiorenzo
Did you guys experienced the bug after fallowing the exact same steps I described? If not, could one of you describe the (new) steps for us?

Hi Joao. Sorry for taking too long (I wasn't home).

So, yes, I'm still able to reproduce it, but I noticed the steps described here are incomplete. After doing what's written there, you need to copy again the file (not its name) and try to paste it somewhere else. The option works, but it's gray, as if not enabled, though it works. This is the bug I originally had and they told me that it was a duplicate of this one.

Joao Leonor (joao-leonor) wrote :

Hi Pablo.

I did has you said and I'm still unable to reproduce the bug in 12.04
I even tried other steps, but I was always able to copy/paste the file.

Cheers.

João

In the bug I'm talking about, you ARE able to copy the file, but the option
will look like it doesn't work, because it's gray instead of black.

I'm unable to reproduce it now and I can't reboot (it doesn't always
happen), but there's a clear way to do it, and that's how I originally
reported it:

1. Save a file to a Ubuntu One synchronized folder.
2. Wait for the file to upload and the green checkmark to appear.
3. Right click the file and click Publish.
4. Right click again and look for the "Copy web link" (or something like
that) menu item. The item will be gray, though it works.

2012/5/11 Joao Leonor <email address hidden>

> Hi Pablo.
>
> I did has you said and I'm still unable to reproduce the bug in 12.04
> I even tried other steps, but I was always able to copy/paste the file.
>
> Cheers.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (956031).
> https://bugs.launchpad.net/bugs/882307
>
> Title:
> [list-view] After copying text from a rename entry, file copy menus
> items are broken
>
> Status in Application menu module for GTK+:
> Triaged
> Status in Nautilus:
> New
> Status in “nautilus” package in Ubuntu:
> Triaged
> Status in “nautilus” source package in Precise:
> Triaged
>
> Bug description:
> When renaming a file in nautilus, in list view, if you copy the
> highlighted part of the name, after this you're unable to copy/paste files
> This only occurs in list view
>
> Steps to reproduce:
> - Open Nautilus
> - Chose List View
> - Right click a file and chose Rename. Nautilus will highlight the file
> name.
> - Now Right click again on the highlighted part of the name and chose
> Copy.
> - Press Esc
> - Now try copying a file, you will be able to chose the option "Copy",
> but when you try to Paste, nothing happens.
>
> DistroRelease: Ubuntu 11.10
> Package: nautilus 1:3.2.1-0ubuntu1
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/appmenu-gtk/+bug/882307/+subscriptions
>

--
Pablo Almeida
http://www.google.com/profiles/pabloalmeidaff9

Same as Pablo here,

I did not manage to identify repoductible steps for this bug, but it still happens on a daily use. Again, a classic copy/paste or rename entry in the context menu appears greyed out, although you can still click on it and the action is eventually performed.

Joao Leonor (joao-leonor) wrote :

Finally I got it!

Here are the exact steps to reproduce the behavior that Pablo is talking about

1. Open Nautilus (it has to be a newly opened window)
2. Right click a file and chose Rename. Nautilus will highlight the file name.
3. Now Right click again on the highlighted part of the name and chose Copy.
4. Press Esc
5. Right click on an empty space of the window, without choosing a file, so the context menu appears
6. Close the context menu (clicking on another file or pressing escape)
7. Right Click on a file and chose copy
8. Now right click again on an empty space of the window (without choosing a file) and voila! The paste option will be gray like if it was disabled, but if you chose it, it will still work, the file will be pasted like Pablo and the others said.

In my opinion this is a completely different bug from the one I reported originally, it happens not only in list view but also in icon and compact view. I tested it in 2 different pcs with Ubuntu 12.04.
An oddity about this bug is that if you copy and paste a file before step 2, the bug doesn't happen. It only happens if you reproduce the steps I described the first time you open a new nautilus window. And only affects the context menu (mouse right click).
I tested the same steps with the window menu and it works fine. In the original bug I reported, the window menu was also affected.

The bug that Pablo described, in my opinion, it's not a duplicate of the one I described, it's similar but not the same.

Hope it helps.

Cheers!
João

So, is there any chance this is related to the bug I originally reported
(and was marked as a duplicate of this one we're in)? I'm talking about
Ubuntu One's "Copy web link" menu being gray, yet clickable and working.

2012/5/18 Joao Leonor <email address hidden>

> one I described, it's similar but not the same.

--
Pablo Almeida
http://www.google.com/profiles/pabloalmeidaff9

Dr. Amr Osman (dr3mro) wrote :

sudo dpkg-reconfigure compiz compiz-core compiz-gnome compiz-plugins compiz-plugins-default compiz-plugins-main compiz-plugins-main-default nautilus ; rm -rf ~/.compiz-1/

then logout and login

Biji (biji) wrote :

I only try to copy folder from other mounted partition, but Paste in context menu greyed, but i can click it

Luis Alvarado (luisalvarado) wrote :

Confirmed on 12.04 even after all updates. In my case is just easy to test it. There are 2 ways, one happens always, the other one happens in some cases:

Rare Nautilus Case (This happens rarely):

1. Go to nautilus and copy any file/folde you want.
2. Right click on an empty space and see that the Paste option in the context menu is grayed.

Note that it is selectible and you can paste, but to see it grayed I would thinks that I did not copy anything.

Desktop Case (Always happens. I mean ALWAYS!):

1. On your desktop copy anything there, be it a folder or a file.
2. Right click on an empty space and see that the Paste option in the context menu is grayed.

This might have something to do with the fact that Gnome3 removed files/folders from the Desktop. So in Unity maybe some option is not affecting the way a clipboard created from a Desktop object is detected and does not active the Paste option.

Changed in nautilus:
status: New → Incomplete
Jim Hodapp (jhodapp) wrote :

Unable to reproduce this on the pre-released Ubuntu 12.10.

Ted Gould (ted) on 2012-09-28
Changed in appmenu-gtk:
status: Triaged → Incomplete
Changed in nautilus (Ubuntu):
status: Triaged → Incomplete
Changed in nautilus (Ubuntu Precise):
status: Triaged → Incomplete
Changed in appmenu-gtk:
assignee: Ted Gould (ted) → nobody

I must say that this bug seems to be gone in 12.10, at least the way I
could reproduce it before (in Ubuntu One's "Copy Web Link" menu).

2012/9/28 Ted Gould <email address hidden>

> ** Changed in: appmenu-gtk
> Status: Triaged => Incomplete
>
> ** Changed in: nautilus (Ubuntu)
> Status: Triaged => Incomplete
>
> ** Changed in: nautilus (Ubuntu Precise)
> Status: Triaged => Incomplete
>
> ** Changed in: appmenu-gtk
> Assignee: Ted Gould (ted) => (unassigned)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (956031).
> https://bugs.launchpad.net/bugs/882307
>
> Title:
> [list-view] After copying text from a rename entry, file copy menus
> items are broken
>
> Status in Application menu module for GTK+:
> Incomplete
> Status in Nautilus:
> Incomplete
> Status in “nautilus” package in Ubuntu:
> Incomplete
> Status in “nautilus” source package in Precise:
> Incomplete
>
> Bug description:
> When renaming a file in nautilus, in list view, if you copy the
> highlighted part of the name, after this you're unable to copy/paste files
> This only occurs in list view
>
> Steps to reproduce:
> - Open Nautilus
> - Chose List View
> - Right click a file and chose Rename. Nautilus will highlight the file
> name.
> - Now Right click again on the highlighted part of the name and chose
> Copy.
> - Press Esc
> - Now try copying a file, you will be able to chose the option "Copy",
> but when you try to Paste, nothing happens.
>
> DistroRelease: Ubuntu 11.10
> Package: nautilus 1:3.2.1-0ubuntu1
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/appmenu-gtk/+bug/882307/+subscriptions
>

--
Pablo Almeida
http://www.google.com/profiles/pabloalmeidaff9

Changed in nautilus:
status: Incomplete → Expired
Tchalvak (tchalvak) wrote :

I made a screencast of this bug in action here:
http://www.youtube.com/watch?v=ggZLUY4JgHE&feature=youtu.be

Ubuntu 12.04.1 LTS

Here is my full ubuntu and nautilus version info.
cat /proc/version
cat /etc/issue
uname -a
Linux version 3.2.0-31-generic (buildd@allspice) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #50-Ubuntu SMP Fri Sep 7 16:16:45 UTC 2012
Ubuntu 12.04.1 LTS \n \l

Linux hal3k 3.2.0-31-generic #50-Ubuntu SMP Fri Sep 7 16:16:45 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

nautilus --version
GNOME nautilus 3.4.2

This issue also occurs with the "rename" right-click option, which appears greyed out as if the option is disabled, though renaming is still possible. I just tested closing all nautilus windows to try to restart nautilus, and the problem is gone for now once I do that.

willdeans (william-deans) wrote :

Going on two years and this bug isn't fixed in Ubuntu 12.04.2 LTS \n \l
Linux deans2068 3.5.0-36-generic #57~precise1-Ubuntu SMP Thu Jun 20 18:21:09 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Or course this could be a new bug with paste grayed out but a new bug report was entered and was marked as a duplicate of this one (see https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/949468) so others seem to think it is the same root problem.

If someone wants to release a new feature I would highly suggest quality control. When copy/paste doesn't work it is hard to tell people how great this product is.

shadowwraith (tcmitchell957) wrote :

I am having the same issue on Ubuntustudio 13:10 saucy

uname -a

Linux shadowwraith-Aspire-5552 3.11.0-11-lowlatency #4-Ubuntu SMP PREEMPT Wed Oct 2 22:48:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

nautilus --version
GNOME nautilus 3.8.2

I don't know the precise trigger for this, but it does seem to occur after long periods of opening and closing new tabs, renaming files etc. I have to restart nautilus in order to get full functionality again.

As others have stated the shortcut actions still work but selecting them from the rightclick menu or the "Locations Options" menu does not.

It seems to effect copy, paste, select all, move to rubbish bin etc.

Joseph Naz (naz-joseph01) wrote :

I am using 12.04 LTS it's also affecting me.
We're planning to use 12.04 LTS for a longer period of time, but it's sad to see that it's already about 2 years now and still no resolution to the bug.

there's another bug reported and somebody made a screencast of the problem.
Hope it helps.

Quoting from Bug#949468

Tchalvak (tchalvak) wrote on 2012-10-18: #5

I made a screencast of this bug in action here:
http://www.youtube.com/watch?v=ggZLUY4JgHE&feature=youtu.be

Here is my ubuntu version info.

Linux version 3.2.0-31-generic (buildd@allspice) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #50-Ubuntu SMP Fri Sep 7 16:16:45 UTC 2012
Ubuntu 12.04.1 LTS \n \l

Linux hal3k 3.2.0-31-generic #50-Ubuntu SMP Fri Sep 7 16:16:45 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
cat /proc/version
cat /etc/issue
uname -a
http://www.youtube.com/watch?v=ggZLUY4JgHE&feature=youtu.be
Ubuntu 12.04.1 LTS

Francisco Franchetti (nixahn) wrote :

I am having this issue in 14.04. I have actually nautilus-dropbox in case it matters, I did not test without dropbox.

Reproduction:
0_ open nautilus, go to some file.
1_ F2 key to edit name
2_ Ctrl+c to copy the name
3_ Esc
6_ F2 key to edit name again

at this point the problems begins:

(nautilus:9723): Gtk-WARNING **: Inserting action group 'ClipboardActions' into UI manager which already has a group with this name

7_ Ctrl + c (this is probably doing nothing because the action is "unhooked" by now due to the previous problem
8_ Ctrl + v
(nautilus:9744): Gtk-CRITICAL **: gtk_widget_get_clipboard: assertion 'gtk_widget_has_screen (widget)' failed

(nautilus:9744): Gtk-CRITICAL **: gtk_clipboard_request_text: assertion 'clipboard != NULL' failed

Thoughts:
_This could be related to transitioning from GtkAction to GAction.
_Something is being done to the copy/paste actions when pressing F2; probably disabling them and reenabling them afterwards; it seems someone is assuming that adding the actions back will simply update them, but it is not happening that way.

My 2 cents.

Geert Jan Alsem (gj-alsem) wrote :

I can confirm trusty is affected. See also Bug #1315985, which I just marked duplicate, and: https://bugzilla.gnome.org/show_bug.cgi?id=729557

tags: added: trusty
Geert Jan Alsem (gj-alsem) wrote :

I don't have time to setup a dev environment and compile and test nautilus, but I did browse the source code a bit to narrow down the problem.

So I looked in the file nautilus-list-view.c [1] and found there are different ways to end a renaming action. Turns out, this bug only happens in one specific case. After pressing F2 and Ctrl-C, you can:

* Press enter to actually rename the file: works.
* Clear the file name and press enter, so the original file name is restored: works.
* Don't change the file name and press enter: works.
* Clicking on an empty part of the window to stop editing: works.
* Change directories while editing the file name: works.
* Press the Escape key to stop renaming: causes this bug!

So in short: this bug only happens if you use Escape to stop editing. My guess is none of the cleanup-methods in nautilus-list-view.c are called when you press Escape, leaving Nautilus in an invalid state. Hopefully somebody with an already running nautilus dev environment can take a closer look. Even though this bug is a bit rarer than I initially thought, it's still a pretty breaking bug for the file manager of an LTS release IMO.

[1] http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/trusty/nautilus/trusty-updates/view/head:/src/nautilus-list-view.c

Changed in nautilus (Ubuntu):
status: Incomplete → Confirmed
Geert Jan Alsem (gj-alsem) wrote :

Well, I managed to get the nautilus source code to compile and do some more testing. It is a bit hard to figure out the code when you're not familiar with it though, especially the way renaming in list view is implemented (the developers even call it a "HACK!!!!" in a comment in nautilus-view.c line 1758)

At first I thought that when pressing Escape while renaming, there might be missing a call to a cleanup method. But unfortunately it was not that simple. A call to cell_renderer_editing_canceled is done, which seems like it should put back nautilus in a normal state.

I did find out that the pressing of Escape is not actually what triggers the problem directly. If you select a file and press F2, then press Escape (so without Ctrl-C), then press F2 again, that last F2 will also trigger the bug. After that you can stop editing using Enter, and Copy/Paste in nautilus wil still be broken. So pressing Ctrl-C while renaming the file is not even necessary to trigger the bug.

Just like Francisco Franchetti says above, when the bug triggers I see:

Gtk-WARNING **: Inserting action group 'ClipboardActions' into UI manager which already has a group with this name

And when I try to paste a file after that:

Gtk-CRITICAL **: gtk_widget_get_clipboard: assertion 'gtk_widget_has_screen (widget)' failed
Gtk-CRITICAL **: gtk_clipboard_request_text: assertion 'clipboard != NULL' failed

So yeah, that's all I have for now. Maybe I can look further later. If someone has any tips on where to look and which lines of code to debug I'd be glad to hear it.

Till Halbach (till-halbach) wrote :

So this problem has been with us since 2011, and I can confirm it still for Ubuntu 14.04.

To reproduce:
1) Copy the name of an arbitrary file: Mark file, F2, Ctrl-C, ESC
2) Copy any file: Mark file, Ctrl-C
3) Paste twice: Ctrl-v, Ctrl-v

The second paste is not possible. In fact, Ctrl-A and possibly other keyboard shortcuts won't work either.
Now, go through the above steps once more (in a new window), but replace ESC with Enter. The bug does not occur. So ESC seems to be the culprit.

Possible workarounds:
- Enter out of file name copying, don't escape.
- Mouse drag'n drop is still a possibility.
- Kind of a workaround is to open a new window (but you need to refind the proper directory).

Quinta Helmer (qhelmer) on 2014-12-18
Changed in nautilus (Ubuntu Precise):
status: Incomplete → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.